protolabs42

Get memory edges

Get all graph edges for a specific memory.

GET
/memory/relate/{id}/edges

Get all graph edges for a specific memory.

Authorization

bearerAuth
AuthorizationBearer <token>

API key obtained via invite redemption or SIWE login

In: header

Path Parameters

id*string

Memory ID

Response Body

application/json

application/json

application/json

curl -X GET "https://chorus.runclaw.run/memory/relate/string/edges"
{
  "data": {
    "edges": [
      {
        "id": "string",
        "in": "string",
        "out": "string",
        "relation_type": "supports",
        "strength": 1,
        "metadata": {
          "property1": null,
          "property2": null
        },
        "created_at": "string"
      }
    ]
  },
  "meta": {
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "request_id": "string"
  }
}